agora_rtc_engine 0.9.2

  • README.md
  • CHANGELOG.md
  • Example
  • Installing
  • Versions
  • new75

AgoraRtcEngine #

This Flutter plugin is a wapper for Agora Video SDK.

Agora.io provides building blocks for you to add real-time voice and video communications through a simple and powerful SDK. You can integrate the Agora SDK to enable real-time communications in your own application quickly.

Note: This plugin is still under development, and some APIs might not be available yet.

Usage #

To use this plugin, add agora_rtc_engine as a dependency in your pubspec.yaml file.

Getting Started #

  • See the example directory for a sample app using AgoraRtcEngine.
  • Or checkout this tutorial for a simple video call app using Agora Flutter SDK.

How to contribute #

To help work on this sdk, see our contributor guide.

0.9.1 beta #

  • Added docs for SDK apis

0.9.0 beta #

  • Flutter for Agora Video SDK beta release

example/README.md

AgoraRtcEngine Example #

Demonstrates how to use the agora_rtc_engine plugin.

Create an Account and Obtain an App ID #

  1. Create a developer account at agora.io.
  2. In the Agora.io Dashboard that appears, click Projects > Project List in the left navigation.
  3. Copy the App ID from the Dashboard to a text file. You will use this ID later when you launch the app.

Update and Run the Sample Application #

Open the main.dart file. In the _initAgoraRtcEngine() method, update YOUR APP ID with your App ID.

Future<void> _initAgoraRtcEngine() async {
  AgoraRtcEngine.create('YOUR APP ID');
  AgoraRtcEngine.enableVideo();
}

Run example #

Connect device and run.

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  agora_rtc_engine: ^0.9.2

2. Install it

You can install packages from the command line:

with Flutter:


$ flutter packages get

Alternatively, your editor might support flutter packages get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:agora_rtc_engine/agora_rtc_engine.dart';
  
Version Uploaded Documentation Archive
0.9.2 Feb 13, 2019 Go to the documentation of agora_rtc_engine 0.9.2 Download agora_rtc_engine 0.9.2 archive
0.9.1 Feb 9, 2019 Go to the documentation of agora_rtc_engine 0.9.1 Download agora_rtc_engine 0.9.1 archive
0.9.0 Feb 1, 2019 Go to the documentation of agora_rtc_engine 0.9.0 Download agora_rtc_engine 0.9.0 archive
Popularity:
Describes how popular the package is relative to other packages. [more]
58
Health:
Code health derived from static analysis. [more]
100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
80
Overall:
Weighted score of the above. [more]
75
Learn more about scoring.

We analyzed this package on Feb 20, 2019, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.1.0
  • pana: 0.12.13+1
  • Flutter: 1.2.1

Platforms

Detected platforms: Flutter

References Flutter, and has no conflicting libraries.

Maintenance suggestions

The package description is too short. (-20 points)

Add more detail to the description field of pubspec.yaml. Use 60 to 180 characters to describe the package, what it does, and its target use case.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.0.0-dev.68.0 <3.0.0
flutter 0.0.0
Transitive dependencies
collection 1.14.11
meta 1.1.6 1.1.7
sky_engine 0.0.99
typed_data 1.1.6
vector_math 2.0.8